--screenshot
gagneb=1

Image1 = Image.load ("gagne/mario.png")
Image2 = Image.load ("gagne/mario2.png")
 
--Image1 est votre image et l'Image2 est la meme image mais avec la texte dessus !
--direction, j'entends par la, le lieu de votre image ! (ex: "/Images/Script1/Image1.png")
 
minuteur = Timer.new()
minuteur:start()
 
--Voila comment ca marche...j'utilise un Timer! Ici le code de sa cr?ation de de sa mise en marche
 
while true do
screen:clear()
pad = Controls.read()
 
--Votre boucle, com d'hab!
 
currentTime = minuteur:time()
 
--Création de la variable "currentTime" pour le Timer.
 
if currentTime < 450 then
screen:blit (0,0,Image1)
end
 
if currentTime > 450 then
screen:blit(0,0,Image2)
end
 
if currentTime > 900 then
minuteur:stop()
minuteur:reset(0)
minuteur:start()
end

if pad:start() then
dofile("script.lua")
end

if pad:select() then
screen:save("ms0:/PSP/PHOTO/gagneb"..gagneb..".png")
gagneb=gagneb+1
end

screen.waitVblankStart()
screen.flip()
end